Apache instal woes

Discussion in 'Installation/Configuration' started by acilis2k, Sep 30, 2005.

  1. acilis2k

    acilis2k New Member

    ok, so im trying to set up ispconfig 3.0.9 on fedora core 3 and every time it gets to compiling apache i get thsi error:
    A test compilation with your Makefile configuration
    ** failed. The below error output from the compilation
    ** test will give you an idea what is failing. Note that
    ** Apache requires an ANSI C Compiler, such as gcc.

    ======== Error Output for sanity check ========
    cd ..; gcc -DLINUX=22 -DMOD_SSL=208123 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT -I./lib/expat-lite `./apaci` -L/root/ispconfig/openssl/lib -o helpers/dummy helpers/dummy.c -lm -lssl -lcrypto
    ============= End of Error Report =============

    Aborting!
    ./configure:Error: APACI failed
    ERROR: Could not configure Apache
    i also have tried 2.0.9 and have gotten the same error. Any ideas?
     
  2. zarkann

    zarkann New Member

    and standalone , your apache is working ?

    everytime you want to reinstall ISPConfig you have to rm -rf 3 directories

    /root/ispconfig
    /home/admispconfig
    exit the directory install_ispconfig and rm -rf this one too.

    and do the installation again.
     
  3. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    You tried ISPConfig 3.0.9 and 2.0.9? :D There's no 3.0.9!
    Do you have gcc installed?
     
  4. acilis2k

    acilis2k New Member

    yea i got gcc...and 3.0.9 is the beta
     
  5. domino

    domino New Member

    @acilis2k, Please tell us what your gcc version?
     
  6. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    There's no ISPConfig 3.0.9 beta, blieve me. I'm one of the ISPConfig developers, I should know. :D
     
  7. domino

    domino New Member

    :D. acilis2k, Please provide the link to 3.09 Beta? It would be interesting to see who coded it.
     
  8. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    Can you tell us exactly what steps you made to install ISPConfig, and on which step the error occurred?
     
  9. acilis2k

    acilis2k New Member

  10. celavie

    celavie New Member

    I get the same error message with Debian 3.1 and ISPConfig 2.1.0
    Did you find what is the problem?
     
  11. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    Do you install on 32Bit or 64Bit linux?
     
  12. celavie

    celavie New Member

    It's a 2.4 Celeron, 512RAM.
     
  13. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    Did you follow any of the "Perfect Setup" tutorials on HowtoForge? Wich distribution do you use?
     
  14. celavie

    celavie New Member

    Yes, I followed the "Perfect Setup"

    Could it be that some existing applications make the trouble?
    Actually before I've set up the "The Perfect Setup - Debian Sarge (3.1)", I had next applications installed:
    TightVNC-server, vmware 5.x.x., desktop (KDE, Gnome etc.)
     
  15. celavie

    celavie New Member

    Thank you all.
    I've figured out the problem :)
    the place where I've unpacked the distrib of ISPConfig was smth like /root/soft/ISPConfig/ISPConfig_install/
    after I've put the ISPConfig_install to /root/
    the problem was solved.
     

Share This Page